Public Member Functions | Public Attributes

# cv::PatchGenerator Class Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions
void | generateRandomTransform (Point2f srcCenter, Point2f dstCenter, CV_OUT Mat &transform, RNG &rng, bool inverse=false) const
void | operator() (const Mat &image, const Mat &transform, Mat &patch, Size patchSize, RNG &rng) const
void | operator() (const Mat &image, Point2f pt, Mat &patch, Size patchSize, RNG &rng) const
| PatchGenerator (double _backgroundMin, double _backgroundMax, double _noiseRange, bool _randomBlur=true, double _lambdaMin=0.6, double _lambdaMax=1.5, double _thetaMin=-CV_PI, double _thetaMax=CV_PI, double _phiMin=-CV_PI, double _phiMax=CV_PI)
| PatchGenerator ()
void | setAffineParam (double lambda, double theta, double phi)
void | warpWholeImage (const Mat &image, Mat &matT, Mat &buf, CV_OUT Mat &warped, int border, RNG &rng) const
## Public Attributes
double | backgroundMax
double | backgroundMin
double | lambdaMax
double | lambdaMin
double | noiseRange
double | phiMax
double | phiMin
bool | randomBlur
double | thetaMax
double | thetaMin

## Detailed Description

The Patch Generator class

## Constructor & Destructor Documentation

cv::PatchGenerator::PatchGenerator | ( | ) |

cv::PatchGenerator::PatchGenerator | ( | double | _backgroundMin,
|  | double | _backgroundMax,
|  | double | _noiseRange,
|  | bool | _randomBlur = `true`,
|  | double | _lambdaMin = `0.6`,
|  | double | _lambdaMax = `1.5`,
|  | double | _thetaMin = `-CV_PI`,
|  | double | _thetaMax = `CV_PI`,
|  | double | _phiMin = `-CV_PI`,
|  | double | _phiMax = `CV_PI`
| ) |  |

## Member Function Documentation

void cv::PatchGenerator::generateRandomTransform | ( | Point2f | srcCenter,
|  | Point2f | dstCenter,
|  | CV_OUT Mat & | transform,
|  | RNG & | rng,
|  | bool | inverse = `false`
| ) |  | const

void cv::PatchGenerator::operator() | ( | const Mat & | image,
|  | Point2f | pt,
|  | Mat & | patch,
|  | Size | patchSize,
|  | RNG & | rng
| ) |  | const

void cv::PatchGenerator::operator() | ( | const Mat & | image,
|  | const Mat & | transform,
|  | Mat & | patch,
|  | Size | patchSize,
|  | RNG & | rng
| ) |  | const

void cv::PatchGenerator::setAffineParam | ( | double | lambda,
|  | double | theta,
|  | double | phi
| ) |  |

void cv::PatchGenerator::warpWholeImage | ( | const Mat & | image,
|  | Mat & | matT,
|  | Mat & | buf,
|  | CV_OUT Mat & | warped,
|  | int | border,
|  | RNG & | rng
| ) |  | const

## Member Data Documentation

double cv::PatchGenerator::backgroundMax

double cv::PatchGenerator::backgroundMin

double cv::PatchGenerator::lambdaMax

double cv::PatchGenerator::lambdaMin

double cv::PatchGenerator::noiseRange

double cv::PatchGenerator::phiMax

double cv::PatchGenerator::phiMin

bool cv::PatchGenerator::randomBlur

double cv::PatchGenerator::thetaMax

double cv::PatchGenerator::thetaMin

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines